import _defineProperty from "@babel/runtime/helpers/defineProperty";
import React from "react";
import PropTypes from "prop-types";
import classnames from "classnames";
import getClasses from "./styles";

var Container = function Container(props) {
  var _classnames;

  var isSidebarCollapsed = props.isSidebarCollapsed,
      platformLogo = props.platformLogo,
      body = props.body,
      footer = props.footer,
      className = props.className;
  var classes = getClasses();
  var rootClassName = classnames(className, classes.root, (_classnames = {}, _defineProperty(_classnames, classes.rootCollapsed, isSidebarCollapsed), _defineProperty(_classnames, classes.withLogo, !!platformLogo), _classnames));
  return /*#__PURE__*/React.createElement("div", {
    className: rootClassName
  }, !!platformLogo && /*#__PURE__*/React.createElement("div", {
    id: "sidebar-logo",
    className: classes.platformLogo
  }, platformLogo), /*#__PURE__*/React.createElement("div", {
    id: "sidebar-body",
    className: classes.body
  }, body), /*#__PURE__*/React.createElement("div", {
    id: "sidebar-footer",
    className: classes.footer
  }, footer));
};

Container.propTypes = {
  isSidebarCollapsed: PropTypes.bool,
  platformLogo: PropTypes.instanceOf(Object),
  body: PropTypes.instanceOf(Object),
  footer: PropTypes.instanceOf(Object),
  className: PropTypes.string
};
Container.defaultProps = {
  isSidebarCollapsed: false,
  platformLogo: null,
  body: null,
  footer: null,
  className: ""
};
export default Container;